org.gradle.plugins.ide.eclipse.model

## Class Output

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.Output

- All Implemented Interfaces:
    ClasspathEntry

      public class Output
      extends Object
      implements ClasspathEntry

  A classpath entry representing an output folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Output(Node node)`
    `Output(String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendNode(Node node)`
    `boolean` | `equals(Object o)`
    `String` | `getKind()`
    `String` | `getPath()`
    `int` | `hashCode()`
    `void` | `setPath(String path)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Output

          public Output(Node node)

    - #### Output

          public Output(String path)

  - ### Method Detail

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### getKind

          public String getKind()

      Specified by:
        `getKind` in interface `ClasspathEntry`

    - #### appendNode

          public void appendNode(Node node)

      Specified by:
        `appendNode` in interface `ClasspathEntry`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`